### Hierarchy

- LargeProperty

## Index

### Constructors

- constructor

### Properties

- contentType
- encodedData
- hasMore
- type
- url
- DEFAULT_MIME_TYPE

### Accessors

- isLoaded
- mimeType

### Methods

- asNewLargeProperty
- toUrl

## Constructors

### constructor

- new LargeProperty(encodedData: string, contentType?: string, hasMore?: boolean, type?: string, url?: string): LargeProperty

- - Defined in models/LargeProperty.ts:5

  #### Parameters

  - ##### encodedData: string

  - ##### Optional contentType: string

  - ##### Default value hasMore: boolean = false

  - ##### Default value type: string = TypeNames.LargePropertyTypeName

  - ##### Optional url: string

  #### Returns LargeProperty

## Properties

### Optional contentType

contentType: string

- Defined in models/LargeProperty.ts:9

### encodedData

encodedData: string

- Defined in models/LargeProperty.ts:8

### hasMore

hasMore: boolean

- Defined in models/LargeProperty.ts:10

### type

type: string

- Defined in models/LargeProperty.ts:11

### Optional url

url: string

- Defined in models/LargeProperty.ts:12

### Static Private DEFAULT_MIME_TYPE

DEFAULT_MIME_TYPE: string = "application/octet-stream"

- Defined in models/LargeProperty.ts:5

## Accessors

### isLoaded

- get isLoaded(): boolean

- - Defined in models/LargeProperty.ts:15

  #### Returns boolean

### mimeType

- get mimeType(): string

- - Defined in models/LargeProperty.ts:19

  #### Returns string

## Methods

### asNewLargeProperty

- asNewLargeProperty(encodedData: string, hasMore?: boolean): LargeProperty

- - Defined in models/LargeProperty.ts:35

  #### Parameters

  - ##### encodedData: string

  - ##### Default value hasMore: boolean = false

  #### Returns LargeProperty

### toUrl

- toUrl(): string

- - Defined in models/LargeProperty.ts:23

  #### Returns string

Generated using TypeDoc